## kig 15.12.3

=== CMakeLists.txt ===
project(kig)

cmake_minimum_required(VERSION 2.8.12)

find_package(Qt5Svg REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5XmlPatterns 5.5.1)

find_package(ECM 1.7 REQUIRED NO_MODULE)
find_package(KF5Parts REQUIRED)
find_package(KF5DocTools REQUIRED)
find_package(KF5I18n REQUIRED)
find_package(KF5TextEditor REQUIRED)
find_package(KF5IconThemes REQUIRED)
find_package(KF5ConfigWidgets REQUIRED)
find_package(KF5Archive REQUIRED)
find_package(KF5XmlGui 5.1 REQUIRED)

# Needed for unit tests
find_package(KF5Emoticons)
find_package(KF5ItemModels)

set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

set (KDE5_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(GenerateExportHeader)

add_definitions (${QT_DEFINITIONS} ${KDE5_DEFINITIONS} -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${Qt5Gui_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE5_INCLUDES})

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

find_package(BoostPython)

include(KigConfigureChecks.cmake)

add_subdirectory( doc )
add_subdirectory( icons )
add_subdirectory( kig )
add_subdirectory( mimetypes )
add_subdirectory( macros )
# reenable after porting kig's kkfile plugns to the strigi api
#add_subdirectory( kfile )
add_subdirectory( data )
add_subdirectory( pykig )

if(BoostPython_FOUND)
  add_subdirectory( scripting )
  add_definitions(-DKIG_ENABLE_PYTHON_SCRIPTING)
endif(BoostPython_FOUND)

set_package_properties(
   BoostPython PROPERTIES
   DESCRIPTION "Python scripting support in Boost"
   URL "http://www.boost.org/"
   TYPE OPTIONAL
   PURPOSE "Kig can optionally use Boost.Python for Python scripting"
)

set_package_properties(
   Qt5XmlPatterns PROPERTIES
   DESCRIPTION "Qt5 XmlPatterns Module"
   URL "http://qt.io/"
   TYPE OPTIONAL
   PURPOSE "Kig uses the XML Patterns module in Qt to support Geogebra files"
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include_directories( ${CMAKE_SOURCE_DIR}/modes )
if(BoostPython_FOUND)
  include_directories(${BoostPython_INCLUDE_DIRS})
endif(BoostPython_FOUND)

# kigpart

set(kigpart_PART_SRCS
   objects/angle_type.cc
   objects/arc_type.cc
   objects/base_type.cc
   objects/bogus_imp.cc
   objects/centerofcurvature_type.cc
   objects/circle_imp.cc
   objects/circle_type.cc
   objects/common.cc
   objects/conic_imp.cc
   objects/conic_types.cc
   objects/cubic_imp.cc
   objects/cubic_type.cc
   objects/curve_imp.cc
   objects/intersection_types.cc
   objects/inversion_type.cc
   objects/line_imp.cc
   objects/line_type.cc
   objects/locus_imp.cc
   objects/object_calcer.cc
   objects/object_drawer.cc
   objects/object_factory.cc
   objects/object_holder.cc
   objects/object_imp.cc
   objects/object_imp_factory.cc
   objects/object_type.cc
   objects/object_type_factory.cc
   objects/other_imp.cc
   objects/other_type.cc
   objects/point_imp.cc
   objects/point_type.cc
   objects/polygon_imp.cc
   objects/polygon_type.cc
   objects/bezier_imp.cc
   objects/bezier_type.cc
   objects/special_imptypes.cc
   objects/tangent_type.cc
   objects/tests_type.cc
   objects/text_imp.cc
   objects/text_type.cc
   objects/transform_types.cc
   objects/vector_type.cc
   misc/argsparser.cpp
   misc/builtin_stuff.cc
   misc/calcpaths.cc
   misc/common.cpp
   misc/conic-common.cpp
   misc/coordinate.cpp
   misc/coordinate_system.cpp
   misc/cubic-common.cc
   misc/equationstring.cc
   misc/goniometry.cc
   misc/guiaction.cc
   misc/kigcoordinateprecisiondialog.cpp
   misc/kigfiledialog.cc
   misc/kiginputdialog.cc
   misc/kignumerics.cpp
   misc/kigpainter.cpp
   misc/kigtransform.cpp
   misc/lists.cc
   misc/object_constructor.cc
   misc/object_hierarchy.cc
   misc/rect.cc
   misc/screeninfo.cc
   misc/special_constructors.cc
   misc/unit.cc
   modes/base_mode.cc
   modes/construct_mode.cc
   modes/dragrectmode.cc
   modes/edittype.cc
   modes/historydialog.cc
   modes/label.cc
   modes/linkslabel.cpp
   modes/macro.cc
   modes/macrowizard.cc
   modes/mode.cc
   modes/moving.cc
   modes/normal.cc
   modes/popup/popup.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/propertiesactionsprovider.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/objecttypeactionsprovider.cc
   modes/popup/nameobjectactionsprovider.cc
   modes/popup/objectconstructoractionsprovider.cc
   modes/popup/builtindocumentactionsprovider.cc
   modes/popup/builtinobjectactionsprovider.cc
   modes/textlabelwizard.cc
   modes/typesdialog.cpp
   filters/asyexporter.cc
   filters/asyexporteroptions.cc
   filters/asyexporterimpvisitor.cc
   filters/cabri-filter.cc
   filters/cabri-utils.cc
   filters/drgeo-filter.cc
   filters/exporter.cc
   filters/filter.cc
   filters/filters-common.cc
   filters/imageexporteroptions.cc
   filters/kgeo-filter.cc
   filters/kseg-filter.cc
   filters/latexexporter.cc
   filters/latexexporteroptions.cc
   filters/native-filter.cc
   filters/pgfexporterimpvisitor.cc
   filters/svgexporter.cc
   filters/svgexporteroptions.cc
   filters/xfigexporter.cc
   kig/kig_commands.cpp
   kig/kig_document.cc
   kig/kig_part.cpp
   kig/kig_view.cpp
)

if (Qt5XmlPatterns_FOUND)
  set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
  geogebra/geogebratransformer.cpp
  geogebra/geogebrasection.cpp
  filters/geogebra-filter.cpp)
  qt5_add_resources(kigpart_PART_SRCS ${CMAKE_SOURCE_DIR}/geogebra/geogebra.qrc)
  add_definitions(-DWITH_GEOGEBRA=1)
endif(Qt5XmlPatterns_FOUND)

ki18n_wrap_ui(kigpart_PART_SRCS
   modes/typeswidget.ui
   modes/edittypewidget.ui
   modes/historywidget.ui
   filters/asyexporteroptionswidget.ui
   filters/imageexporteroptionswidget.ui
   filters/latexexporteroptionswidget.ui
   filters/svgexporteroptionswidget.ui
   misc/kigcoordinateprecisiondialog.ui
)

if(BoostPython_FOUND)
  set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
     modes/popup/scriptactionsprovider.cc
     scripting/newscriptwizard.cc
     scripting/python_scripter.cc
     scripting/python_type.cc
     scripting/script-common.cc
     scripting/script_mode.cc
  )

  kde_source_files_enable_exceptions(scripting/python_scripter.cc)
endif(BoostPython_FOUND)


add_library(kigpart MODULE ${kigpart_PART_SRCS})
generate_export_header(kigpart)

target_link_libraries(kigpart
  Qt5::Gui
  Qt5::Svg
  Qt5::PrintSupport
  KF5::Parts
  KF5::I18n
  KF5::TextEditor
  KF5::IconThemes
  KF5::ConfigWidgets
  KF5::Archive
  ${KDE5_KUTILS_LIBS}
)

if(BoostPython_FOUND)
  target_link_libraries(kigpart ${BoostPython_LIBRARIES} ${KDE5_KTEXTEDITOR_LIBS})
endif(BoostPython_FOUND)

if (Qt5XmlPatterns_FOUND)
  target_link_libraries(kigpart Qt5::XmlPatterns)
endif(Qt5XmlPatterns_FOUND)

install(TARGETS kigpart DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES org.kde.kig.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

# unit tests
add_subdirectory(tests)

=== kig/CMakeLists.txt ===

include_directories(  ${CMAKE_CURRENT_BINARY_DIR}/..  )


# kig

set(kig_SRCS
  main.cpp
  kig.cpp
)

#uncomment this if oxygen icons for kig are available
#kde4_add_app_icon(kig_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/kig.png")
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kig.png")
ecm_add_app_icon(kig_SRCS ICONS ${ICONS_SRCS})
add_executable(kig ${kig_SRCS})

target_link_libraries(kig KF5::Parts KF5::ConfigCore)

install(TARGETS kig ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( PROGRAMS org.kde.kig.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kig_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kigui.rc kigpartui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kig )

ecm_install_icons(ICONS
  22-apps-kig.png
  16-apps-kig.png
  32-apps-kig.png
  64-apps-kig.png
  48-apps-kig.png
  sc-apps-kig.svgz
  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)

=== debian/changelog ===
kig (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:25:03 -0700

kig (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes.
  * New upstream release. 
  * Add missing optional depends. 
  * Default libboost-python di not work, trying 1.58 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:46:11 +0100

kig (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:24 +0100

kig (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:56:09 +0000

kig (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:05 +0100

kig (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 20:59:51 +0200

kig (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:29 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7~),
               kdoctools-dev,
               kinit-dev,
               libboost-python1.58-dev,
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5emoticons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemmodels-dev,
               libkf5kdelibs4support-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kig.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kig-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kig-([\d.]+).tar.xz

## kig 16.04.3

=== debian/changelog ===
kig (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Switch to a generic libboost-python-dev build dep

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:46:42 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               libboost-python-dev,
               libkf5archive-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5emoticons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemmodels-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5parts-dev (>= 5.24.0~),
               libkf5texteditor-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 16.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 find_package(KF5ConfigWidgets REQUIRED)
 find_package(KF5Archive REQUIRED)
 find_package(KF5XmlGui 5.1 REQUIRED)
+find_package(KF5Crash 5.15 REQUIRED)
 
 # Needed for unit tests
 find_package(KF5Emoticons)
@@ -28,7 +29,7 @@
 include(ECMInstallIcons)
 include(ECMAddTests)
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(GenerateExportHeader)
@@ -40,9 +41,9 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 endif()
 
+include(KigConfigureChecks.cmake)
+
 find_package(BoostPython)
-
-include(KigConfigureChecks.cmake)
 
 add_subdirectory( doc )
 add_subdirectory( icons )
@@ -239,6 +240,7 @@
   Qt5::Gui
   Qt5::Svg
   Qt5::PrintSupport
+  KF5::Crash
   KF5::Parts
   KF5::I18n
   KF5::TextEditor

=== kig/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ecm_add_app_icon(kig_SRCS ICONS ${ICONS_SRCS})
 add_executable(kig ${kig_SRCS})
 
-target_link_libraries(kig KF5::Parts KF5::ConfigCore)
+target_link_libraries(kig KF5::Parts KF5::ConfigCore KF5::Crash)
 
 install(TARGETS kig ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kig (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:10:58 +0100

kig (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:32:44 +0200

kig (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.03.80).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:42:14 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7~),
               kdoctools-dev,
               kinit-dev,
               libboost-python-dev,
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev,
               libkf5emoticons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemmodels-dev,
               libkf5kdelibs4support-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kig.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 16.12.3

=== debian/changelog ===
kig (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:46 +0000

kig (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:24 +0000

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libboost-python-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 17.04.3

=== debian/changelog ===
kig (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:48 +0100

## kig 17.08.3

=== debian/changelog ===
kig (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Remove unused build dependencies: libkf5emoticons-dev,
    libkf5itemmodels-dev, and libkf5kdelibs4support-dev.
  * Remove unused debian/meta/cmake-ignore file.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 11:15:47 +0100

kig (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Add missing libqt5xmlpatterns5-dev build dep
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:24 +0200

kig (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:20 +0000

kig (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:35:29 +0000

kig (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:39 +0000

kig (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:56 +0000

kig (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:18:06 +0000

kig (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:21 +0000

kig (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:34 +0000

kig (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:06 +0000

kig (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:19:00 +0000

kig (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:45 +0000

kig (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:05 +0000

kig (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:53 +0000

kig (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:51 +0000

kig (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:51 +0000

kig (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:23 +0000

kig (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:32 +0000

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7~),
               kinit-dev,
               libboost-python-dev,
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kig.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus
Restrictions: rw-build-tree

## kig 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,7 @@
 find_package(KF5Archive REQUIRED)
 find_package(KF5XmlGui 5.1 REQUIRED)
 find_package(KF5Crash 5.15 REQUIRED)
-
-# Needed for unit tests
-find_package(KF5Emoticons)
-find_package(KF5ItemModels)
+find_package(KF5CoreAddons REQUIRED)
 
 set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
@@ -259,7 +256,13 @@
 endif(Qt5XmlPatterns_FOUND)
 
 install(TARGETS kigpart DESTINATION ${PLUGIN_INSTALL_DIR})
-install(FILES org.kde.kig.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
+install(FILES org.kde.kig.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # unit tests
-add_subdirectory(tests)
+if (BUILD_TESTING)
+  add_subdirectory(tests)
+endif ()
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== macros/CMakeLists.txt ===
install(FILES
   circle_by_center_and_line.kigt
   circle_by_point_and_diameter.kigt
   equitriangle.kigt
   evolute.kigt
   osculating_circle.kigt
   square.kigt
   vector_difference.kigt
   DESTINATION ${CMAKE_INSTALL_DATADIR}/kig/builtin-macros)

=== mimetypes/CMakeLists.txt ===
ecm_install_icons(ICONS
  22-mimetypes-application-x-kig.png
  64-mimetypes-application-x-kig.png
  48-mimetypes-application-x-kig.png
  sc-mimetypes-application-x-kig.svgz
  32-mimetypes-application-x-kig.png
  16-mimetypes-application-x-kig.png
  16-mimetypes-application-x-kig.png
  128-mimetypes-application-x-kig.png
  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)

=== debian/changelog ===
kig (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:19 +0000

kig (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:05 +0000

kig (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:07 +0000

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libboost-python-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: rw-build-tree

## kig 18.04.3

=== debian/changelog ===
kig (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:17:43 +0100

kig (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:57:18 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libqt5xmlpatterns5-dev (>= 5.6.1~),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

## kig 18.12.3

=== debian/changelog ===
kig (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:29:04 +0000

kig (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:23 +0000

kig (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:05 +0000

kig (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:49:27 +0000

kig (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 13:42:14 +0000

## kig 19.04.3

=== debian/changelog ===
kig (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:14:43 +0100

kig (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:06:31 +0100

kig (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:31 +0100

kig (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:44:01 +0100

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7~),
               kinit-dev,
               libboost-python-dev,
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,13 @@
-project(kig)
-
-cmake_minimum_required(VERSION 2.8.12)
+
+cmake_minimum_required(VERSION 3.5)
+
+# KDE Application Version, managed by release script
+set(KDE_APPLICATIONS_VERSION_MAJOR "19")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+
+project(kig VERSION ${KDE_APPLICATIONS_VERSION})
 
 find_package(Qt5Svg REQUIRED)
 find_package(Qt5PrintSupport REQUIRED)
@@ -30,9 +37,16 @@
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(GenerateExportHeader)
-
-add_definitions (${QT_DEFINITIONS} ${KDE5_DEFINITIONS} -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+include(ECMSetupVersion)
+
+ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KIG VERSION_HEADER kig_version.h)
+
+add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 include_directories (${Qt5Gui_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE5_INCLUDES})
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

=== debian/changelog ===
kig (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:10:01 +0000

kig (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.
  * Skip building for tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:29 +0000

kig (4:19.12.1a-0ubuntu2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:37:40 +0000

kig (4:19.12.1a-0ubuntu1) focal; urgency=medium

  * Bump orig tar, as this tar was respun after release to packagers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 21:14:26 +0000

kig (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:34 +0000

kig (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:48:12 +0000

kig (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:32:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus
#Restrictions: rw-build-tree

## kig 20.08.1

=== debian/changelog ===
kig (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:53:53 +0100

kig (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libboost-python-dev, now that Python 3 is supported
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 08:17:43 +0200

kig (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Temporarily disable the scripting support, as boost 1.67.0 will be soon
    removed from Debian with no boost replacement supporting Python 2...
    (Closes: #936794, #962348)
  * Drop the removal of the kfile_drgeo, and kfile_kig translations, as they
    are no more shipped upstream.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Jun 2020 18:20:34 +0200

kig (4:20.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Temporarily switch from libboost-python-dev to libboost-python1.67-dev,
    as boost 1.67 is the latest version of boost in Debian that supports
    Python 2: kig < 20.08 is not ready for Python 3, so stil with Python 2
    for now.
  * Add Rules-Requires-Root: no.
  * Remove the kfile_drgeo, and kfile_kig translations, as they refer to
    long-dead components; they will be removed upstream soon.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 19:11:27 +0200

kig (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - add libkf5coreaddons-dev
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Switch the Format of copyright to copyright-format 1.0.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Remove the empty line at the end of changelog.
  * Use dh_python3 to calculate automatically the Python 3 dependency for
    pykig.py:
    - add the dh-python, and python3:any build dependencies
    - use the python3 dh addon
    - use the ${python3:Depends} substvar, removing the manual python suggest
  * Remove the empty dh_auto_test override, as there are no tests.

 -- Pino Toscano <pino@debian.org>  Fri, 01 May 2020 20:26:37 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules (>= 1.7~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5xmlgui-dev (>= 5.1~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3:any,
               qtbase5-dev (>= 5.4),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,python3

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol
